Bug 185227 - rpmlint uses objdump -T on .so.x.debug files -debuginfo, which fails
rpmlint uses objdump -T on .so.x.debug files -debuginfo, which fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-12 02:30 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.76-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 14:24:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix (1.05 KB, patch)
2006-03-12 05:01 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Hans de Goede 2006-03-12 02:30:41 EST
Try running rpmlint on any -debuginfo rpm on a fully up2date rawhide, it gives:
[hans@shalem t]$ rpmlint
/usr/src/redhat/RPMS/x86_64/adime-debuginfo-2.2.1-2.x86_64.rpm 
W: adime-debuginfo objdump-failed 

The probem is the use of the -T option which doesnot work on .so.x.debug, hre I
try to use it on another .so.x.debug file:
[hans@shalem t]$ LC_ALL=C objdump --headers --private-headers -T
/usr/lib/debug/usr/lib64/libgda-3.so.3.0.0.debug &> /dev/null; echo $?
1

Without -T:
[hans@shalem t]$ LC_ALL=C objdump --headers --private-headers
/usr/lib/debug/usr/lib64/libgda-3.so.3.0.0.debug &> /dev/null; echo $?
0

Please change romlint to not use the -T objdump option on .so.x.debug files.
Comment 1 Ville Skyttä 2006-03-12 05:01:19 EST
Created attachment 126007 [details]
Fix

Upstream CVS now has the attached patch, it will be included in the next
package revision.
Comment 2 Ville Skyttä 2006-03-12 05:03:49 EST
Oh, by the way, using objdump -T on a *.debug file extracted from an executable
instead of a library does not fail, but doesn't seem to print too useful info
either.  What do you think, should -T be dropped from the objdump arguments only
for *.debug extracted from *.so*, or left as is in the patch?
Comment 3 Hans de Goede 2006-03-12 05:05:18 EST
I have no real opinion on this, just take the easy route and leave it as is.
Comment 4 Ville Skyttä 2006-04-11 14:24:19 EDT
Done in 0.76-1.

Note You need to log in before you can comment on or make changes to this bug.